Ext.namespace('dSA', 'dSA.functions', 'dSA.actions',
              'dSA.actions.transmission');

dSA.ReactorImpl = Ext.extend(Ext.util.Observable, {
    constructor: function(config) {
        this.addEvents(
            //                              parameters
//            'dsmsystemtest',            // dSM dSID (required)
            'checktransmissionquality', // dSM dSID, dSM name, device count,
                                        // mask element
            'reregisterdevices'        // dSM dSID
//            'devicetest'                // device dSID
        );
        dSA.ReactorImpl.superclass.constructor.call(this, config);
    }
});

dSA.Reactor = (function() {
    return new dSA.ReactorImpl();
})();

dSA.Reactor.on('reregisterdevices', dSA.functions.ReregisterDevices);
dSA.Reactor.on('checktransmissionquality',
               dSA.actions.transmission.Test);
